---

# Toggling on logging for better verbosity
log: true

dependency:
  name: galaxy

# Using docker driver since this function
# focuses mostly on file and dir manipulation
# and doesn't mess with selinux or systemd
driver:
  name: docker

lint:
  name: yamllint

# Two instances are called, even though
# this role ultimately only acts on localhost.
# The mock0 and mock1 roles each drops two files
# with of different names onto the instance these
# roles are run against. By call "inventories/"
# in the provisioner block, all inventory files
# are dynamically mashed up and both mock0 and
# mock1 get run. These roles both delegate their
# tasks to localhost, so the end result should be
# four files on localhost, each with different
# names, depending on the role that called them.
platforms:
  - name: instance0
    image: ubuntu:bionic
  - name: instance1
    image: ubuntu:bionic

# The playbook used by this unit test
# is designed to emulate how a user
# would call this function via an
# include_role statement.
# The data for inventories and vars is
# pulled from central, generic mock data.
provisioner:
  name: ansible
  log: true
  playbooks:
    converge: playbook.yml
  inventory:
    links:
      hosts: ../.mock/vars/inventories/
      group_vars: ../.mock/vars/group_vars
      host_vars: ../.mock/vars/host_vars
  lint:
    name: ansible-lint
    options:
      x: [ 503 ]

# Goss, the yaml-based verifier is used to
# verify that the desired end result of the
# molecule test was acheived.
verifier:
  name: goss
  enabled: true
  lint:
    name: yamllint

...
